---
lang: en
title: 'API docs: boot.baseartifactbooter._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.baseartifactbooter._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [BaseArtifactBooter](./boot.baseartifactbooter.md) &gt; [(constructor)](./boot.baseartifactbooter._constructor_.md)

## BaseArtifactBooter._constructor_

Constructs a new instance of the `BaseArtifactBooter` class

<b>Signature:</b>

```typescript
constructor(projectRoot: string, options: ArtifactOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  projectRoot | <code>string</code> |  |
|  options | <code>ArtifactOptions</code> |  |


